#lang scribble/doc
@(require scribble/manual
          "../planet.ss"
          (for-label scheme/base))

@title[
#:tag "Scheme Utilities" #:style '(toc)
]{@bold{Scheme Utilities} in @schememodname/this-package[]}

This is my personal library of PLT Scheme programming utilities.
Feel free to use it, copy my code, or ask me questions.

@table-of-contents[]

@defmodule/this-package[]

The default module provides all the bindings described below under the
individual modules.

@include-section["class.scrbl"]
@include-section["function.scrbl"]
@include-section["planet.scrbl"]
@include-section["queue.scrbl"]
@include-section["require-provide.scrbl"]
@include-section["sandbox.scrbl"]
@include-section["syntax.scrbl"]
@include-section["text.scrbl"]
@include-section["values.scrbl"]
@include-section["web.scrbl"]
